#ifndef DEFINES_H
#define DEFINES_H

#define TILEROWS 16
#define TILECOLUMNS 16

#define MAXSTATICLEVELS 30
#define MAXUSERLEVELS 1000

#define FPS 30
#define MAXMUSICFILES 25
#define NROFSOUNDS 8

#define SND_MENU 0
#define SND_SELECT 1
#define SND_ERROR 2
#define SND_EXPLODE 3
#define SND_MOVE 4
#define SND_TELEPORT 5
#define SND_LEVELPASS 6
#define SND_LEVELFAIL 7

#define SizeIncrease 0.10

#define NROFBUTTONS 12

#define BUT_UP 0
#define BUT_RIGHT 1
#define BUT_DOWN 2
#define BUT_LEFT 3
#define BUT_A 4
#define BUT_X 5
#define BUT_START 6
#define BUT_SELECT 7
#define BUT_L 8
#define BUT_R 9
#define BUT_VOLMIN 10
#define BUT_VOLUP 11

enum GameStates {GSSETUPUSBJOYSTICKBUTTONS,GSLEVELEDITORLEVELSELECT,GSGAME,GSINGAMEMENU,GSQUIT,GSDIEDMENU,GSWINMENU,GSLEVELSELECTMENU,GSTITLESCREEN,GSLEVELTYPESELECT,GSLEVELEDITOR,GSLEVELEDITORMENU,GSINTRO};

const char NameSymbols[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 _-";

#endif
